Index: Test/Unit/InstallTar/mk_install_tar.sh
===================================================================
--- Test/Unit/InstallTar/mk_install_tar.sh	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
+++ Test/Unit/InstallTar/mk_install_tar.sh	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
@@ -0,0 +1,64 @@
+#!/bin/bash
+#
+# @Author: Anne Philipp
+#
+# @Date: November, 10 2018
+#
+# @Description: Makes a tar-ball for installation
+#
+
+# path to flex_extract base directory
+path=../../
+
+tarname='flex_extract_v7.1_local.tar'
+
+tar -cvf ../../test/Unit/InstallTar/$tarname \
+        ${path}source/python/classes/*py \
+        ${path}source/python/mods/*py \
+        ${path}source/python/*py \
+        ${path}source/pythontest/*py \
+        ${path}source/fortran/*.f \
+        ${path}source/fortran/*.f90 \
+        ${path}source/fortran/*.h \
+        ${path}source/fortran/Makefile* \
+        ${path}templates/convert.nl \
+        ${path}templates/*.temp \
+        ${path}templates/ecmwf_grib1_table_128 \
+        ${path}run/run_local.sh \
+        ${path}run/control/CONTROL* \
+        ${path}run/jobscripts \
+        ${path}LICENSE.md \
+        ${path}CODE_OF_CONDUCT.md \
+        ${path}README.md  \
+        --exclude=*.ksh
+                  
+                  
+                  
+tarname='flex_extract_v7.1_ecgate.tar'
+
+tar -cvf ../../test/Unit/InstallTar/$tarname \
+        ${path}source/python/classes/*py \
+        ${path}source/python/mods/*py \
+        ${path}source/python/*py \
+        ${path}source/pythontest/*py \
+        ${path}source/fortran/*.f \
+        ${path}source/fortran/*.f90 \
+        ${path}source/fortran/*.h \
+        ${path}source/fortran/Makefile* \
+        ${path}templates/convert.nl \
+        ${path}templates/*.temp \
+        ${path}templates/ecmwf_grib1_table_128 \
+        ${path}run/ECMWF_ENV \
+        ${path}run/run.sh \
+        ${path}run/control/CONTROL* \
+        ${path}run/jobscripts \
+        ${path}LICENSE.md \
+        ${path}CODE_OF_CONDUCT.md \
+        ${path}README.md \
+        --exclude=*.ksh
+                  
+                 
+                  
+                  
+                  
+                  
Index: Test/Unit/InstallTar/un_install_tar.sh
===================================================================
--- Test/Unit/InstallTar/un_install_tar.sh	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
+++ Test/Unit/InstallTar/un_install_tar.sh	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# @Author: Anne Philipp
+#
+# @Date: November, 10 2018
+#
+# @Description: Untar a tar-ball for installation
+#
+
+tarname='flex_extract_v7.1_local.tar'
+dirname='flex_extract_v7.1_local'
+path=../../test/Unit/InstallTar/
+mkdir $path$dirname
+cd $path$dirname
+tar xvf ../$tarname 
+cd ../../../../source/pythontest
+
+tarname='flex_extract_v7.1_ecgate.tar'
+dirname='flex_extract_v7.1_ecgate'
+path=../../test/Unit/InstallTar/
+mkdir $path$dirname
+cd $path$dirname
+tar xvf ../$tarname 
+cd ../../../../source/pythontest
Index: Test/Unit/Testfiles/ECMWF_ENV.test
===================================================================
--- Test/Unit/Testfiles/ECMWF_ENV.test	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
+++ Test/Unit/Testfiles/ECMWF_ENV.test	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
@@ -0,0 +1,4 @@
+ECUID testuser
+ECGID testgroup
+GATEWAY gateway.test.ac.at
+DESTINATION user@destination
Index: Test/Unit/Testfiles/compilejob.test
===================================================================
--- Test/Unit/Testfiles/compilejob.test	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
+++ Test/Unit/Testfiles/compilejob.test	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
@@ -0,0 +1,69 @@
+#!/bin/ksh
+
+# ON ECGB:
+# start with ecaccess-job-submit -queueName ecgb NAME_OF_THIS_FILE  on gateway server
+# start with sbatch NAME_OF_THIS_FILE directly on machine
+
+#SBATCH --workdir=/scratch/ms/testgroup/testuser
+#SBATCH --qos=normal
+#SBATCH --job-name=flex_ecmwf
+#SBATCH --output=flex_ecmwf.%j.out
+#SBATCH --error=flex_ecmwf.%j.out
+#SBATCH --mail-type=FAIL
+#SBATCH --time=12:00:00
+
+## CRAY specific batch requests
+##PBS -N flex_ecmwf
+##PBS -q ns
+##PBS -S /usr/bin/ksh
+##PBS -o /scratch/ms/testgroup/testuser/flex_ecmwf.${Jobname}.${Job_ID}.out
+# job output is in .ecaccess_DO_NOT_REMOVE
+##PBS -j oe
+##PBS -V
+##PBS -l EC_threads_per_task=1
+##PBS -l EC_memory_per_task=3200MB
+
+set -x
+export VERSION=7.1
+case ${HOST} in
+  *ecg*)
+  module unload grib_api
+  module unload eccodes
+  module load eccodes
+  module load python
+  module unload emos
+  module load emos/455-r64
+  export FLEXPART_ROOT_SCRIPTS=fp_root_test_path
+  export MAKEFILE=Makefile.TEST
+  ;;
+  *cca*)
+  module switch PrgEnv-cray PrgEnv-intel
+  module load eccodes
+  module load emos
+  module load python
+  echo ${GROUP}
+  echo ${HOME}
+  echo ${HOME} | awk -F / '{print $1, $2, $3, $4}'
+  export GROUP=`echo ${HOME} | awk -F / '{print $4}'`
+  export SCRATCH=/scratch/ms/${GROUP}/${USER}
+  export FLEXPART_ROOT_SCRIPTS=fp_root_test_path
+  export MAKEFILE=Makefile.TEST
+  ;;
+esac
+
+mkdir -p ${FLEXPART_ROOT_SCRIPTS}/flex_extract_v${VERSION}
+cd ${FLEXPART_ROOT_SCRIPTS}/flex_extract_v${VERSION}   # if FLEXPART_ROOT is not set this means cd to the home directory
+tar -xvf ${HOME}/flex_extract_v${VERSION}.tar
+cd source/fortran
+\rm *.o *.mod CONVERT2 
+make -f ${MAKEFILE} >flexcompile 2>flexcompile
+
+ls -l CONVERT2 >>flexcompile
+if [ $? -eq 0 ]; then
+  echo 'SUCCESS!' >>flexcompile
+  mail -s flexcompile.${HOST}.$$ ${USER} <flexcompile
+else
+  echo Environment: >>flexcompile
+  env >> flexcompile
+  mail -s "ERROR! flexcompile.${HOST}.$$" ${USER} <flexcompile
+fi
Index: Test/Unit/Testfiles/convert.nl.test
===================================================================
--- Test/Unit/Testfiles/convert.nl.test	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
+++ Test/Unit/Testfiles/convert.nl.test	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
@@ -0,0 +1,19 @@
+&NAMGEN
+  maxl = 61,
+  maxb = 46,
+  mlevel = 60,
+  mlevelist = "55/to/60",
+  mnauf = 63,
+  metapar = 77,
+  rlo0 = -15.0,
+  rlo1 = 45.0,
+  rla0 = 30.0,
+  rla1 = 75.0,
+  momega = 0,
+  momegadiff = 0,
+  mgauss = 1,
+  msmooth = 0,
+  meta = 0,
+  metadiff = 0,
+  mdpdeta = 1
+/
Index: Test/Unit/Testfiles/job.temp.test
===================================================================
--- Test/Unit/Testfiles/job.temp.test	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
+++ Test/Unit/Testfiles/job.temp.test	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
@@ -0,0 +1,77 @@
+#!/bin/ksh
+
+# ON ECGB:
+# start with ecaccess-job-submit -queueName ecgb NAME_OF_THIS_FILE  on gateway server
+# start with sbatch NAME_OF_THIS_FILE directly on machine
+
+#SBATCH --workdir=/scratch/ms/testgroup/testuser
+#SBATCH --qos=normal
+#SBATCH --job-name=flex_ecmwf
+#SBATCH --output=flex_ecmwf.%j.out
+#SBATCH --error=flex_ecmwf.%j.out
+#SBATCH --mail-type=FAIL
+#SBATCH --time=12:00:00
+
+## CRAY specific batch requests
+##PBS -N flex_ecmwf
+##PBS -q np
+##PBS -S /usr/bin/ksh
+## -o /scratch/ms/testgroup/testuser/flex_ecmwf.${PBS_JOBID}.out
+## job output is in .ecaccess_DO_NOT_REMOVE
+##PBS -j oe
+##PBS -V
+##PBS -l EC_threads_per_task=24
+##PBS -l EC_memory_per_task=32000MB
+
+set -x
+export VERSION=7.1
+case ${HOST} in
+  *ecg*)
+  module load python
+  module unload grib_api
+  module unload eccodes
+  module load eccodes
+  module unload emos
+  module load emos/455-r64
+  export PATH=${PATH}:fp_root_test_path/flex_extract_v7.1/source/python
+  ;;
+  *cca*)
+  module switch PrgEnv-cray PrgEnv-intel
+  module load eccodes
+  module load emos
+  module load python
+  export SCRATCH=${TMPDIR}
+  export PATH=${PATH}:fp_root_test_path/flex_extract_v7.1/source/python
+  ;;
+esac
+
+cd ${SCRATCH}
+mkdir -p python$$
+cd python$$
+
+export CONTROL=CONTROL
+
+cat >${CONTROL}<<EOF
+EOF
+
+
+submit.py --controlfile=${CONTROL} --inputdir=./work --outputdir=./work 1> prot 2>&1
+
+if [ $? -eq 0 ] ; then
+  l=0
+  for muser in `grep -i MAILOPS ${CONTROL}`; do
+      if [ ${l} -gt 0 ] ; then 
+         mail -s flex.${HOST}.$$ ${muser} <prot
+      fi
+      l=$((${l}+1))
+  done
+else
+  l=0
+  for muser in `grep -i MAILFAIL ${CONTROL}`; do
+      if [ ${l} -gt 0 ] ; then 
+         mail -s "ERROR! flex.${HOST}.$$" ${muser} <prot
+      fi
+      l=$((${l}+1))
+  done
+fi
+
Index: Test/Unit/Testfiles/test_put_to_ecserver.txt
===================================================================
--- Test/Unit/Testfiles/test_put_to_ecserver.txt	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
+++ Test/Unit/Testfiles/test_put_to_ecserver.txt	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
@@ -0,0 +1,2 @@
+#This file is just for testing the submission of files to an ecserver. 
+ls -l
